Gestionnaires de notifications
GET https://dash.coolpopup.com/api/notification-handlers/
curl --request GET \
--url 'https://dash.coolpopup.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dash.coolpopup.com/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Paramètres | Détails | Description |
|---|---|---|
| page | Facultatif Entier | Le numéro de page à partir duquel vous souhaitez obtenir des résultats. Par défaut à 1. |
| results_per_page | Facultatif Entier | Combien de résultats voulez-vous par page. Les valeurs autorisées sont : 10 , 25 , 50 , 100 , 250 , 500 , 1000. Par défaut à 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-12 17:35:19",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://dash.coolpopup.com/api/notification-handlers?page=1",
"last": "https://dash.coolpopup.com/api/notification-handlers?page=1",
"next": null,
"prev": null,
"self": "https://dash.coolpopup.com/api/notification-handlers?page=1"
}
}
GET https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "[email protected]"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-03-12 17:35:19",
}
}
POST https://dash.coolpopup.com/api/notification-handlers
| Paramètres | Détails | Description |
|---|---|---|
| name | Requis String | - |
| type | Requis String | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| Facultatif String | Disponible quand : type = email Courriel | |
| webhook | Facultatif String | Disponible quand : type = webhook URL du Webhook |
| slack | Facultatif String | Disponible quand : type = slack URL du webhook Slack |
| discord | Facultatif String | Disponible quand : type = discord URL du webhook Discord |
| telegram | Facultatif String | Disponible quand : type = telegram Jeton d'API Telegram |
| telegram_chat_id | Facultatif String | Disponible quand : type = telegram Telegram Chat ID |
| microsoft_teams | Facultatif String | Disponible quand : type = microsoft_teams URL du webhook Microsoft Teams |
| google_chat | Facultatif String | Disponible quand : type = google_chat URL du webhook Google chat |
| x_consumer_key | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_consumer_secret | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_access_token | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_access_token_secret | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| push_subscriber_id | Facultatif String | Disponible quand : type = push_subscriber_id Poussez l'abonné |
| twilio | Facultatif String | Disponible quand : type = twilio Numéro de téléphone |
| twilio_call | Facultatif String | Disponible quand : type = twilio_call Numéro de téléphone |
| Facultatif String | Disponible quand : type = whatsapp Numéro de téléphone |
curl --request POST \
--url 'https://dash.coolpopup.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
--url 'https://dash.coolpopup.com/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=[email protected]' \
{
"data": {
"id": 1
}
}
POST https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}
| Paramètres | Détails | Description |
|---|---|---|
| name | Facultatif String | - |
| type | Facultatif String | Valeurs autorisées : email , webhook , slack , discord , telegram , microsoft_teams , twilio , twilio_call , whatsapp , x , google_chat , internal_notification , push_subscriber_id |
| Facultatif String | Disponible quand : type = email Courriel | |
| webhook | Facultatif String | Disponible quand : type = webhook URL du Webhook |
| slack | Facultatif String | Disponible quand : type = slack URL du webhook Slack |
| discord | Facultatif String | Disponible quand : type = discord URL du webhook Discord |
| telegram | Facultatif String | Disponible quand : type = telegram Jeton d'API Telegram |
| telegram_chat_id | Facultatif String | Disponible quand : type = telegram Telegram Chat ID |
| microsoft_teams | Facultatif String | Disponible quand : type = microsoft_teams URL du webhook Microsoft Teams |
| google_chat | Facultatif String | Disponible quand : type = google_chat URL du webhook Google chat |
| x_consumer_key | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_consumer_secret | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_access_token | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| x_access_token_secret | Facultatif String | Disponible quand : type = x Jeton d'API Telegram |
| push_subscriber_id | Facultatif String | Disponible quand : type = push_subscriber_id Poussez l'abonné |
| twilio | Facultatif String | Disponible quand : type = twilio Numéro de téléphone |
| twilio_call | Facultatif String | Disponible quand : type = twilio_call Numéro de téléphone |
| Facultatif String | Disponible quand : type = whatsapp Numéro de téléphone | |
| is_enabled | Facultatif Booléen | - |
curl --request POST \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://dash.coolpopup.com/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \